[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Yum Not Excluding



On 6/20/05, Janina Sajka <janina rednote net> wrote:
> This morning I noticed my yum updates weren't taking because of two
> obscure (to me) packages' missing dependencies. I tried to issue
> --exclude=wl-xemacs --exclude=gda-postgres but this had no effect. I had
> to rpm -e these two packages to get my 700Mb update rolling on my x86_64
> box.


yum is excluding for me as expected.  Perhaps you were misinterpreting
the yum output.
Perhaps in the case of gda-postgres  the problem was with a pending update
of the postgresql-libs package providing libpq.so.4 and no longer
providing the libpq.so.3 library that your installed version of
gda-postgres required. In a case like that.. excluding gda-postgres
doesn't do anything useful because its not gda-postgres that is trying
to be updated.

-jef


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]